Package org.jcsp.lang

# Interface BufferedChannelIntFactory

All Known Implementing Classes:
  `StandardChannelIntFactory`

public interface BufferedChannelIntFactory
Deprecated.
These channel factories are deprecated in favour of the new one2one() methods in the Channel class.
Defines an interface for a factory that can create integer carrying channels with user-definable buffering semantics.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`Any2AnyChannelInt`
`createAny2Any(ChannelDataStoreInt buffer)`
Deprecated.
Creates a new `Any2Any` channel with the given buffering behaviour.
`Any2OneChannelInt`
`createAny2One(ChannelDataStoreInt buffer)`
Deprecated.
Creates a new `Any2One` channel with the given buffering behaviour.
`One2AnyChannelInt`
`createOne2Any(ChannelDataStoreInt buffer)`
Deprecated.
Creates a new `One2Any` channel with the given buffering behaviour.
`One2OneChannelInt`
`createOne2One(ChannelDataStoreInt buffer)`
Deprecated.
Creates a new `One2One` channel with the given buffering behaviour.

## Method Details

### createOne2One

One2OneChannelInt createOne2One(ChannelDataStoreInt buffer)
Deprecated.
Creates a new `One2One` channel with the given buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
Returns:
  the created channel.

### createAny2One

Any2OneChannelInt createAny2One(ChannelDataStoreInt buffer)
Deprecated.
Creates a new `Any2One` channel with the given buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
Returns:
  the created channel.

### createOne2Any

One2AnyChannelInt createOne2Any(ChannelDataStoreInt buffer)
Deprecated.
Creates a new `One2Any` channel with the given buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
Returns:
  the created channel.

### createAny2Any

Any2AnyChannelInt createAny2Any(ChannelDataStoreInt buffer)
Deprecated.
Creates a new `Any2Any` channel with the given buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
Returns:
  the created channel.